import * as React from 'react';
import BranchingQuestions from "../branchingQuestions";
import SettingOpytionsPict from "./settingOpytionsPict";
import HelpQuestions from "../helpQuestions";


interface Props {
    switchState: string,
}

export default function SwitchAnswerOptionsPict({switchState = 'setting' }: Props) {

    switch (switchState) {
        case 'setting':
            return (<SettingOpytionsPict/>);
            break;
        case 'help':
            return (<HelpQuestions/>);
            break
        case 'branching':
            return (<BranchingQuestions/>);
            break;
        default:
            return (<></>)
    }
}